# $Revision: 1.4 $, $Date: 2004/11/06 08:32:50 $
Summary:	Simple stereo recording tool
Summary(pl):	Proste narzdzie do nagrywania w stereo
Name:		qarecord
Version:	0.0.9
Release:	2
License:	GPL v2
Group:		X11/Applications/Sound
Source0:	ftp://ftp.suse.com/pub/people/mana/%{name}-%{version}.tar.bz2
# Source0-md5:	30412e77424d79870a886fbde429e5b3
Source1:	%{name}.desktop
Patch0:		%{name}-paths_and_optflags.patch
Patch1:		%{name}-alsa.patch
URL:		http://www.suse.de/~mana/kalsatools.html
BuildRequires:	alsa-lib-devel >= 0.9.0
BuildRequires:	jack-audio-connection-kit-devel >= 0.80.0
BuildRequires:	qt-devel >= 3.0.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
QARecord is a simple stereo recording tool. It can record both 16 bit
and 32 bit WAVs. Can also be used as JACK client.

%description -l pl
QARecord jest prostym narzdziem do nagrywania stereo. Moe nagrywa
pliki WAV w rozdzielczoci 16 bit i 32 bit. Moe by take uyty jako
klient JACK-a.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	-f make_qarecord \
	OPTFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_desktopdir}}

install -c %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install -c qarecord $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qarecord.spec,v $
Revision 1.4  2004/11/06 08:32:50  freetz
- added alsa 1.0 fix

Revision 1.3  2004/11/05 11:12:58  paladine
- rel 2 for fixed desktop file

Revision 1.2  2004/11/04 19:32:11  ankry
- pl fix

Revision 1.1  2003/10/16 11:11:12  freetz
- initial PLD release

